curl --request POST \
--url https://api.getsly.ai/v1/v1/streams/{id}/top-up \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_rate": "<string>",
"currency": "<string>",
"wrapped_balance": "<string>",
"buffer": "<string>",
"runway_seconds": 123,
"recipient_balance": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Add funds to extend runway. Sender wallet is debited; wrapped_balance increases.
curl --request POST \
--url https://api.getsly.ai/v1/v1/streams/{id}/top-up \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_rate": "<string>",
"currency": "<string>",
"wrapped_balance": "<string>",
"buffer": "<string>",
"runway_seconds": 123,
"recipient_balance": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Topped up
Show child attributes